//
// UnPlot.DCL - Copyright 1993,94 by Mountain Software
//
// This file is used by Unplot, the AutoCAD Un-Plotter
//
// THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
// WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
// PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//*===================================================================*

dcl_settings : default_dcl_settings { audit_level = 0; }

unplot : dialog
{
    label = "UnPlot (c) Mountain Software";
    initial_focus = "filebutton";
    spacer_1;
    : boxed_column {
        label = "File and Scaling";
        //*----- File
        : row {
            : button {
                label = "File ";
                fixed_width=true;
                width = 5;
                key = "filebutton";
                mnemonic = "F";
            }
            : edit_box {
                key = "filename";
                width = 25;
            }
        }
        //*----- Scale
        : row  {
            : edit_box {
                key = "scale";
                label = "Scale: 1 = ";
                width = 25;
                mnemonic = "S";
            }
        }
    }
    spacer_1;
    :row {
        :button {
            key = "hpgl_settings";
            label = "HPGL Settings";
            mnemonic = "H";
        }
        :button {
            key = "pcl_settings";
            label = "PCL Settings";
            mnemonic = "P";
        }
    }
    spacer_1;
    ok_cancel_help_errtile;
}

hpgl : dialog {
    //*----- hand sketch parameters
    : boxed_row  {
        label = "Slop and Jiggle";
        : edit_box {
            key = "slop";
            label = "sLop";
            width = 10;
            mnemonic = "L";
        }
        : edit_box {
            key = "jiggle";
            label = "Jiggle";
            width = 10;
            mnemonic = "J";
        }
    }
    spacer_1;
    ok_cancel_help_errtile;
}

pcl : dialog {
    label = "PCL Settings";
    :row {
        :column {
            :boxed_row {
                label = "Pages to Import";
                :edit_box {
                    label = "From Page ";
                    mnemonic = "F";
                    edit_width = 5;
                    fixed_width = true;
                    key = "starting_page";
                }
                :edit_box {
                    label = " To Page";
                    mnemonic = "T";
                    edit_width = 5;
                    fixed_width = true;
                    key = "ending_page";
                }
            }
            : boxed_radio_row  {
                label = "Multiple Page Layout";
                : radio_button {
                    label = "Horizontal";
                    mnemonic = "H";
                    key = "page_horiz";
                }
                : radio_button {
                    label = "Vertical";
                    mnemonic = "V";
                    key = "page_vert";
                }
            }
            :boxed_column {
                label = "Text Settings";
                : toggle {
                    label = "Overwrite Text Styles";
                    mnemonic = "O";
                    key = "replace_styles";
                }
                :edit_box {
                    label = "Default Font File";
                    mnemonic = "F";
                    alignment = right;
                    key = "default_style";
                }
            }
            :boxed_column {
                label = "Fill Settings";
                : toggle {
                    label = "Import Raster";
                    mnemonic = "R";
                    key = "raster_mode";
                }
                :edit_box {
                    label = "Solid Fill Threshold (%)";
                    mnemonic = "T";
                    edit_width = 8;
                    fixed_width = true;
                    alignment = right;
                    key = "solid_threshold";
                }
                :edit_box {
                    label = "Line Width Threshold";
                    mnemonic = "L";
                    edit_width = 8;
                    fixed_width = true;
                    alignment = right;
                    key = "line_width";
                }
                :edit_box {
                    label = "Transparent Color";
                    mnemonic = "T";
                    edit_width = 8;
                    fixed_width = true;
                    alignment = right;
                    key = "trans_color";
                }
            }
        }
        :column {
            alignment = top;
            fixed_height = true;
            ok_button;
            cancel_button;
            help_button;
        }
    }
    errtile;
}

look_file : dialog {
    label = "";
    key = "filename";
    : list_box {
        key = "look_box";
        tabs = "9 17 25 33 41 49 57 65 73 81";
        width = 74;
        height = 20;
    }
    ok_button;
}

